import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class DaikinOnePlusHumidity {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private readonly forIndoor;
    private service;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi, forIndoor: boolean);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the Humidity characteristic
     */
    handleHumidityGet(): CharacteristicValue;
}
//# sourceMappingURL=platformHumidity.d.ts.map